Search for a remittance by reference number
Base URL not set in the spec
Retrieves remittance details based on the provided reference number.
Authorization
The spec does not declare an authentication scheme for this endpoint.
Query parameters
reference_number string requiredThe reference number of the remittance.
Responses
200 Successful response with remittance details application/json
mgi_transaction_session_id string transaction_status string sender_first_name string sender_last_name string sender_home_phone string receiver_first_name string receiver_last_name string date_time_sent string (date-time) receive_currency string receive_amount string reference_number string originating_country string indicative_receive_amount string indicative_exchange_rate string original_send_amount string original_send_currency string original_send_fee string original_exchange_rate string ok_for_pickup boolean not_ok_for_pickup_reason_code string minutes_until_ok_for_pickup string This request is in the Monato · Remittances Postman collection.Download collection
Request
curl -X GET "$BASE_URL/v2/remittances/references?reference_number=23033104"const res = await fetch(`${BASE_URL}/v2/remittances/references?reference_number=23033104`, {
method: "GET",
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/v2/remittances/references?reference_number=23033104",
)
data = res.json()Response
Response 200
{
"mgi_transaction_session_id": "4200922151E1743120525540",
"transaction_status": "AVAIL",
"sender_first_name": "MARCOS",
"sender_last_name": "DURAN",
"sender_home_phone": "967774185",
"receiver_first_name": "LUIS",
"receiver_last_name": "MARTINEZ",
"date_time_sent": "2025-03-14T15:06:08.887-05:00",
"receive_currency": "MXN",
"receive_amount": "1596.00",
"reference_number": "23033104",
"originating_country": "USA",
"indicative_receive_amount": "0",
"indicative_exchange_rate": "0.000000",
"original_send_amount": "81.19",
"original_send_currency": "USD",
"original_send_fee": "3.81",
"original_exchange_rate": "19.654979",
"ok_for_pickup": true,
"not_ok_for_pickup_reason_code": "0",
"minutes_until_ok_for_pickup": "0"
}